GF2_32 Class Reference

GF(2^32) with polynomial basis. More...

## Public Types

typedef word32 | Element
typedef int | RandomizationParameter

## Public Member Functions

| GF2_32 (word32 modulus=0x0000008D)
Element | RandomElement (RandomNumberGenerator &rng, int ignored=0) const
bool | Equal (Element a, Element b) const
Element | Identity () const
Element | Add (Element a, Element b) const
Element & | Accumulate (Element &a, Element b) const
Element | Inverse (Element a) const
Element | Subtract (Element a, Element b) const
Element & | Reduce (Element &a, Element b) const
Element | Double (Element a) const
Element | MultiplicativeIdentity () const
Element | Multiply (Element a, Element b) const
Element | Square (Element a) const
bool | IsUnit (Element a) const
Element | MultiplicativeInverse (Element a) const
Element | Divide (Element a, Element b) const

## Detailed Description

GF(2^32) with polynomial basis.

Definition at line 16 of file gf2_32.h.

The documentation for this class was generated from the following files:

- gf2_32.h
- gf2_32.cpp